package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFJD4Data {

    private Map<String, Object> params;
    
    public MWFJD4Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsWfid() {
        return (String) params.get("RS_WFID");
    }

    public String rsParentid() {
        return (String) params.get("RS_PARENTID");
    }

    public String rsRootparentid() {
        return (String) params.get("RS_ROOTPARENTID");
    }

    public Long rsLvl() {
        return (Long) params.get("RS_LVL");
    }

    public String rsRepeatingtaskid() {
        return (String) params.get("RS_REPEATINGTASKID");
    }

    public Long rsSequentialnumber() {
        return (Long) params.get("RS_SEQUENTIALNUMBER");
    }

    public String rsTaskname() {
        return (String) params.get("RS_TASKNAME");
    }

    public String rsKindoftask() {
        return (String) params.get("RS_KINDOFTASK");
    }

    public String rsTaskcategory() {
        return (String) params.get("RS_TASKCATEGORY");
    }

    public String rsTasktype() {
        return (String) params.get("RS_TASKTYPE");
    }

    public String rsBusstate() {
        return (String) params.get("RS_BUSSTATE");
    }

    public String rsTprio() {
        return (String) params.get("RS_TPRIO");
    }

    public String rsApplicant() {
        return (String) params.get("RS_APPLICANT");
    }

    public String rsResolversgroup() {
        return (String) params.get("RS_RESOLVERSGROUP");
    }

    public String rsResolver() {
        return (String) params.get("RS_RESOLVER");
    }

    public java.util.Date rsTaskstartdate() {
        return (java.util.Date) params.get("RS_TASKSTARTDATE");
    }

    public java.util.Date rsTaskenddate() {
        return (java.util.Date) params.get("RS_TASKENDDATE");
    }

    public java.util.Date rsRequesteddate() {
        return (java.util.Date) params.get("RS_REQUESTEDDATE");
    }

    public Long rsRequesteddayslimit() {
        return (Long) params.get("RS_REQUESTEDDAYSLIMIT");
    }

    public java.util.Date rsProcessingdate() {
        return (java.util.Date) params.get("RS_PROCESSINGDATE");
    }

    public Long rsProcessingdayslimit() {
        return (Long) params.get("RS_PROCESSINGDAYSLIMIT");
    }

    public String rsSourcesystem() {
        return (String) params.get("RS_SOURCESYSTEM");
    }

    public String rsCompany() {
        return (String) params.get("RS_COMPANY");
    }

    public String rsProjectactivity() {
        return (String) params.get("RS_PROJECTACTIVITY");
    }

    public String rsTaskdescription() {
        return (String) params.get("RS_TASKDESCRIPTION");
    }

    public String rsClientid() {
        return (String) params.get("RS_CLIENTID");
    }

    public String rsContractnumber() {
        return (String) params.get("RS_CONTRACTNUMBER");
    }

    public String rsProduct() {
        return (String) params.get("RS_PRODUCT");
    }

    public Boolean rsHidefromclient() {
        return (Boolean) params.get("RS_HIDEFROMCLIENT");
    }

    public Long rsCountofsubtasks() {
        return (Long) params.get("RS_COUNTOFSUBTASKS");
    }

    public Boolean rsRepeatingtask() {
        return (Boolean) params.get("RS_REPEATINGTASK");
    }

    public Long rsCountofoccurences() {
        return (Long) params.get("RS_COUNTOFOCCURENCES");
    }

    public String rsRecurrencepattern() {
        return (String) params.get("RS_RECURRENCEPATTERN");
    }

    public Long rsSendemail() {
        return (Long) params.get("RS_SENDEMAIL");
    }

    public java.util.Date rsStartdateofrecurrence() {
        return (java.util.Date) params.get("RS_STARTDATEOFRECURRENCE");
    }

    public java.util.Date rsEnddateofrecurrence() {
        return (java.util.Date) params.get("RS_ENDDATEOFRECURRENCE");
    }

    public String rsDayofwakeup() {
        return (String) params.get("RS_DAYOFWAKEUP");
    }

    public Long rsRepeatcounter() {
        return (Long) params.get("RS_REPEATCOUNTER");
    }

    public java.util.Date rsDateformanualnotification() {
        return (java.util.Date) params.get("RS_DATEFORMANUALNOTIFICATION");
    }

    public String rsUserschoice() {
        return (String) params.get("RS_USERSCHOICE");
    }

    public String rsVerifyinguser() {
        return (String) params.get("RS_VERIFYINGUSER");
    }

    public Long rsManualprocessingtime() {
        return (Long) params.get("RS_MANUALPROCESSINGTIME");
    }

    public java.util.Date rsCalculatedwakeuptime() {
        return (java.util.Date) params.get("RS_CALCULATEDWAKEUPTIME");
    }

    public Long rsAutomatprocessingtime() {
        return (Long) params.get("RS_AUTOMATPROCESSINGTIME");
    }

    public java.util.Date rsWakeuptime() {
        return (java.util.Date) params.get("RS_WAKEUPTIME");
    }

    public String rsAttribute1() {
        return (String) params.get("RS_ATTRIBUTE1");
    }

    public String rsAttribute2() {
        return (String) params.get("RS_ATTRIBUTE2");
    }

    public String rsAttribute3() {
        return (String) params.get("RS_ATTRIBUTE3");
    }

    public String rsAttribute4() {
        return (String) params.get("RS_ATTRIBUTE4");
    }

    public String rsAttribute5() {
        return (String) params.get("RS_ATTRIBUTE5");
    }

    public String rsAttribute6() {
        return (String) params.get("RS_ATTRIBUTE6");
    }

    public String rsAttribute7() {
        return (String) params.get("RS_ATTRIBUTE7");
    }

    public String rsAttribute8() {
        return (String) params.get("RS_ATTRIBUTE8");
    }

    public String rsAttribute9() {
        return (String) params.get("RS_ATTRIBUTE9");
    }

    public String rsAttribute10() {
        return (String) params.get("RS_ATTRIBUTE10");
    }

    public String rsTaskid() {
        return (String) params.get("RS_TASKID");
    }

    public String rsTkiid() {
        return (String) params.get("RS_TKIID");
    }

    public java.util.Date rsLastModified() {
        return (java.util.Date) params.get("RS_LAST_MODIFIED");
    }

    public java.util.Date rsExpires() {
        return (java.util.Date) params.get("RS_EXPIRES");
    }

    public Boolean rsSuspended() {
        return (Boolean) params.get("RS_SUSPENDED");
    }

    public Boolean rsIsEscalated() {
        return (Boolean) params.get("RS_IS_ESCALATED");
    }

    public java.util.Date rsFirstActivated() {
        return (java.util.Date) params.get("RS_FIRST_ACTIVATED");
    }

    public String rsEmailofsender() {
        return (String) params.get("RS_EMAILOFSENDER");
    }

    public String rsState() {
        return (String) params.get("RS_STATE");
    }

    public String rsEmailsubject() {
        return (String) params.get("RS_EMAILSUBJECT");
    }

    public String rsEmailofreceiver() {
        return (String) params.get("RS_EMAILOFRECEIVER");
    }

    public String rsContainmentCtxId() {
        return (String) params.get("RS_CONTAINMENT_CTX_ID");
    }

    public java.util.Date rsResultingdate() {
        return (java.util.Date) params.get("RS_RESULTINGDATE");
    }

    public String rsName() {
        return (String) params.get("RS_NAME");
    }

    public Long rsCasescount() {
        return (Long) params.get("RS_CASESCOUNT");
    }

    public String rsOwner() {
        return (String) params.get("RS_OWNER");
    }

    public String rsOutersolver() {
        return (String) params.get("RS_OUTERSOLVER");
    }

    public Long rsSetescalation() {
        return (Long) params.get("RS_SETESCALATION");
    }

    public String rsClientidtype() {
        return (String) params.get("RS_CLIENTIDTYPE");
    }

    public java.util.Date rsLastStateChange() {
        return (java.util.Date) params.get("RS_LAST_STATE_CHANGE");
    }

    public String rsSegment() {
        return (String) params.get("RS_SEGMENT");
    }

    public Long rsSetrequesteddateforescalation() {
        return (Long) params.get("RS_SETREQUESTEDDATEFORESCALATION");
    }

    public String rsErrormessage() {
        return (String) params.get("RS_ERRORMESSAGE");
    }

    public String rsErrorflag() {
        return (String) params.get("RS_ERRORFLAG");
    }

    public String rsNextstage() {
        return (String) params.get("RS_NEXTSTAGE");
    }

    public String rsErrormwfflag() {
        return (String) params.get("RS_ERRORMWFFLAG");
    }

    public String rsRequestedaction() {
        return (String) params.get("RS_REQUESTEDACTION");
    }

    public java.util.Date rsHistorydate() {
        return (java.util.Date) params.get("RS_HISTORYDATE");
    }

    public String rsAttribute11() {
        return (String) params.get("RS_ATTRIBUTE11");
    }

    public String rsAttribute12() {
        return (String) params.get("RS_ATTRIBUTE12");
    }

    public String rsAttribute13() {
        return (String) params.get("RS_ATTRIBUTE13");
    }

    public String rsAttribute14() {
        return (String) params.get("RS_ATTRIBUTE14");
    }

    public String rsAttribute15() {
        return (String) params.get("RS_ATTRIBUTE15");
    }

    public String rsAttribute16() {
        return (String) params.get("RS_ATTRIBUTE16");
    }

    public String rsAttribute17() {
        return (String) params.get("RS_ATTRIBUTE17");
    }

    public String rsAttribute18() {
        return (String) params.get("RS_ATTRIBUTE18");
    }

    public String rsAttribute19() {
        return (String) params.get("RS_ATTRIBUTE19");
    }

    public String rsAttribute20() {
        return (String) params.get("RS_ATTRIBUTE20");
    }

    public String rsOverallstatus() {
        return (String) params.get("RS_OVERALLSTATUS");
    }

    public String rsTasksolution() {
        return (String) params.get("RS_TASKSOLUTION");
    }

    public String rsUserid() {
        return (String) params.get("RS_USERID");
    }

    public String rsIco() {
        return (String) params.get("RS_ICO");
    }

    public String rsBirthnumber() {
        return (String) params.get("RS_BIRTHNUMBER");
    }

    public String rsTmsgroupid() {
        return (String) params.get("RS_TMSGROUPID");
    }

    public String rsProductPopis() {
        return (String) params.get("RS_PRODUCT_POPIS");
    }

    public String rsObjectid() {
        return (String) params.get("RS_OBJECTID");
    }

    public String rsObjectidtype() {
        return (String) params.get("RS_OBJECTIDTYPE");
    }

    public String rsTasksubcategory() {
        return (String) params.get("RS_TASKSUBCATEGORY");
    }

    public String rsApplicantgroup() {
        return (String) params.get("RS_APPLICANTGROUP");
    }

    public String rsBranchid() {
        return (String) params.get("RS_BRANCHID");
    }

    public Long rsUserflag() {
        return (Long) params.get("RS_USERFLAG");
    } 

}
